GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
gdcm::Segment Class Reference

This class defines a segment. It mainly contains attributes of group 0x0062. In addition, it can be associated with surface. More...

`#include <gdcmSegment.h>`

Inheritance diagram for gdcm::Segment:
[legend]
Collaboration diagram for gdcm::Segment:
[legend]

## Public Types

enum | ALGOType { MANUAL = 0, AUTOMATIC, ALGOType_END }
typedef std::vector < SmartPointer< Surface > > | SurfaceVector

## Public Member Functions

| Segment ()
virtual | ~Segment ()
void | AddSurface (SmartPointer< Surface > surface)
SegmentHelper::BasicCodedEntry const & | GetAnatomicRegion () const
SegmentHelper::BasicCodedEntry & | GetAnatomicRegion ()
SegmentHelper::BasicCodedEntry const & | GetPropertyCategory () const
SegmentHelper::BasicCodedEntry & | GetPropertyCategory ()
SegmentHelper::BasicCodedEntry const & | GetPropertyType () const
SegmentHelper::BasicCodedEntry & | GetPropertyType ()
const char * | GetSegmentAlgorithmName () const
ALGOType | GetSegmentAlgorithmType () const
const char * | GetSegmentDescription () const
const char * | GetSegmentLabel () const
unsigned short | GetSegmentNumber () const
SmartPointer< Surface > | GetSurface (const unsigned int idx=0) const
unsigned long | GetSurfaceCount ()
SurfaceVector const & | GetSurfaces () const
SurfaceVector & | GetSurfaces ()
void | SetAnatomicRegion (SegmentHelper::BasicCodedEntry const &BSE)
void | SetPropertyCategory (SegmentHelper::BasicCodedEntry const &BSE)
void | SetPropertyType (SegmentHelper::BasicCodedEntry const &BSE)
void | SetSegmentAlgorithmName (const char *name)
void | SetSegmentAlgorithmType (ALGOType type)
void | SetSegmentAlgorithmType (const char *typeStr)
void | SetSegmentDescription (const char *description)
void | SetSegmentLabel (const char *label)
void | SetSegmentNumber (const unsigned short num)
void | SetSurfaceCount (const unsigned long nb)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static ALGOType | GetALGOType (const char *type)
static const char * | GetALGOTypeString (ALGOType type)

## Protected Attributes

SegmentHelper::BasicCodedEntry | AnatomicRegion
SegmentHelper::BasicCodedEntry | PropertyCategory
SegmentHelper::BasicCodedEntry | PropertyType
std::string | SegmentAlgorithmName
ALGOType | SegmentAlgorithmType
std::string | SegmentDescription
std::string | SegmentLabel
unsigned short | SegmentNumber
unsigned long | SurfaceCount
SurfaceVector | Surfaces

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

This class defines a segment. It mainly contains attributes of group 0x0062. In addition, it can be associated with surface.

See Also
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

typedef std::vector< SmartPointer< Surface > > gdcm::Segment::SurfaceVector

## Member Enumeration Documentation

enum gdcm::Segment::ALGOType

Enumerator:

  MANUAL |
  AUTOMATIC |
  ALGOType_END |

## Constructor & Destructor Documentation

gdcm::Segment::Segment | ( |  | ) |

virtual gdcm::Segment::~Segment | ( |  | ) |

virtual

## Member Function Documentation

void gdcm::Segment::AddSurface | ( | SmartPointer< Surface > | surface | ) |

static ALGOType gdcm::Segment::GetALGOType | ( | const char * | type | ) |

static

static const char* gdcm::Segment::GetALGOTypeString | ( | ALGOType | type | ) |

static

SegmentHelper::BasicCodedEntry const& gdcm::Segment::GetAnatomicRegion | ( |  | ) | const

SegmentHelper::BasicCodedEntry& gdcm::Segment::GetAnatomicRegion | ( |  | ) |

SegmentHelper::BasicCodedEntry const& gdcm::Segment::GetPropertyCategory | ( |  | ) | const

SegmentHelper::BasicCodedEntry& gdcm::Segment::GetPropertyCategory | ( |  | ) |

SegmentHelper::BasicCodedEntry const& gdcm::Segment::GetPropertyType | ( |  | ) | const

SegmentHelper::BasicCodedEntry& gdcm::Segment::GetPropertyType | ( |  | ) |

const char* gdcm::Segment::GetSegmentAlgorithmName | ( |  | ) | const

ALGOType gdcm::Segment::GetSegmentAlgorithmType | ( |  | ) | const

const char* gdcm::Segment::GetSegmentDescription | ( |  | ) | const

const char* gdcm::Segment::GetSegmentLabel | ( |  | ) | const

unsigned short gdcm::Segment::GetSegmentNumber | ( |  | ) | const

SmartPointer< Surface > gdcm::Segment::GetSurface | ( | const unsigned int | idx = `0` | ) | const

unsigned long gdcm::Segment::GetSurfaceCount | ( |  | ) |

SurfaceVector const& gdcm::Segment::GetSurfaces | ( |  | ) | const

SurfaceVector& gdcm::Segment::GetSurfaces | ( |  | ) |

void gdcm::Segment::SetAnatomicRegion | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

void gdcm::Segment::SetPropertyCategory | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

void gdcm::Segment::SetPropertyType | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

void gdcm::Segment::SetSegmentAlgorithmName | ( | const char * | name | ) |

void gdcm::Segment::SetSegmentAlgorithmType | ( | ALGOType | type | ) |

void gdcm::Segment::SetSegmentAlgorithmType | ( | const char * | typeStr | ) |

void gdcm::Segment::SetSegmentDescription | ( | const char * | description | ) |

void gdcm::Segment::SetSegmentLabel | ( | const char * | label | ) |

void gdcm::Segment::SetSegmentNumber | ( | const unsigned short | num | ) |

void gdcm::Segment::SetSurfaceCount | ( | const unsigned long | nb | ) |

## Member Data Documentation

SegmentHelper::BasicCodedEntry gdcm::Segment::AnatomicRegion

protected

SegmentHelper::BasicCodedEntry gdcm::Segment::PropertyCategory

protected

SegmentHelper::BasicCodedEntry gdcm::Segment::PropertyType

protected

std::string gdcm::Segment::SegmentAlgorithmName

protected

ALGOType gdcm::Segment::SegmentAlgorithmType

protected

std::string gdcm::Segment::SegmentDescription

protected

std::string gdcm::Segment::SegmentLabel

protected

unsigned short gdcm::Segment::SegmentNumber

protected

unsigned long gdcm::Segment::SurfaceCount

protected

SurfaceVector gdcm::Segment::Surfaces

protected

The documentation for this class was generated from the following file:

- gdcmSegment.h